Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.resource.connectionmanager
Interface TxConnectionManagerMBean

All Superinterfaces:
  BaseConnectionManager2MBean, org.jboss.system.Service, org.jboss.system.ServiceMBean

All Known Implementing Classes:
  TxConnectionManager

public interface TxConnectionManagerMBean
extends BaseConnectionManager2MBean

MBean interface.

Field Summary
`static javax.management.ObjectName` | `OBJECT_NAME`

Fields inherited from interface org.jboss.system.ServiceMBean
`CREATE_EVENT, CREATED, DESTROY_EVENT, DESTROYED, FAILED, REGISTERED, START_EVENT, STARTED, STARTING, states, STOP_EVENT, STOPPED, STOPPING, UNREGISTERED`

Method Summary
`String` | `getTransactionManager()` Deprecated. use the ObjectName TransactionManagerService instead
`javax.management.ObjectName` | `getTransactionManagerService()` mbean get-set pair for field transactionManagerService Get the value of transactionManagerService
`boolean` | `isLocalTransactions()` mbean get-set pair for field localTransactions Get the value of localTransactions
`boolean` | `isTrackConnectionByTx()` mbean get-set pair for field trackConnectionByTx Get the value of trackConnectionByTx
`void` | `setLocalTransactions(boolean localTransactions)` Set the value of localTransactions
`void` | `setTrackConnectionByTx(boolean trackConnectionByTx)` Set the value of trackConnectionByTx
`void` | `setTransactionManager(String tmName)` Deprecated. use the ObjectName TransactionManagerService instead
`void` | `setTransactionManagerService(javax.management.ObjectName transactionManagerService)` Set the value of transactionManagerService

Methods inherited from interface org.jboss.resource.connectionmanager.BaseConnectionManager2MBean
`getCachedConnectionManager, getInstance, getJaasSecurityManagerService, getJndiName, getManagedConnectionFactory, getManagedConnectionPool, getSecurityDomainJndiName, setCachedConnectionManager, setJaasSecurityManagerService, setJndiName, setManagedConnectionPool, setSecurityDomainJndiName`

Methods inherited from interface org.jboss.system.ServiceMBean
`getName, getState, getStateString, jbossInternalLifecycle`

Methods inherited from interface org.jboss.system.Service
`create, destroy, start, stop`

Field Detail

### OBJECT_NAME

    public static final javax.management.ObjectName OBJECT_NAME

Method Detail

### getTransactionManagerService

    public javax.management.ObjectName getTransactionManagerService()

  mbean get-set pair for field transactionManagerService Get the value of transactionManagerService

  Returns:
    value of transactionManagerService

### setTransactionManagerService

    public void setTransactionManagerService(javax.management.ObjectName transactionManagerService)

  Set the value of transactionManagerService

  Parameters:
    `transactionManagerService` - Value to assign to transactionManagerService

### setTransactionManager

    public void setTransactionManager(String tmName)

  Deprecated. use the ObjectName TransactionManagerService instead

  The TransactionManager attribute contains the jndi name of the TransactionManager. This is normally java:/TransactionManager.

### getTransactionManager

    public String getTransactionManager()

  Deprecated. use the ObjectName TransactionManagerService instead

  Describe `getTransactionManager` method here.

  Returns:
    an `String` value

### isTrackConnectionByTx

    public boolean isTrackConnectionByTx()

  mbean get-set pair for field trackConnectionByTx Get the value of trackConnectionByTx

  Returns:
    value of trackConnectionByTx

### setTrackConnectionByTx

    public void setTrackConnectionByTx(boolean trackConnectionByTx)

  Set the value of trackConnectionByTx

  Parameters:
    `trackConnectionByTx` - Value to assign to trackConnectionByTx

### isLocalTransactions

    public boolean isLocalTransactions()

  mbean get-set pair for field localTransactions Get the value of localTransactions

  Returns:
    value of localTransactions

### setLocalTransactions

    public void setLocalTransactions(boolean localTransactions)

  Set the value of localTransactions

  Parameters:
    `localTransactions` - Value to assign to localTransactions

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.